Author Topic: Upgrading from 2.001L - what to do  (Read 1176 times)

Offline Gankenstein

  • Newbie Mark II
  • *
  • Posts: 15
Upgrading from 2.001L - what to do
« on: June 20, 2011, 02:23:36 AM »
I'm upgrading my base AI War: Fleet Command game (no expansions yet) from 2.001L to the current version (which I believe to be 5.010 Beta).

Do I need to uninstall version 2.001L before running the 5.000 installer? The game's auto-updater will not help me (it directs me to get v. 3.000).

Furthermore, what should I read to catch up on the changes to the game? Is there an up-to-date manual for version 5?

Offline Mánagarmr

  • Core Member Mark V
  • *****
  • Posts: 4,272
  • if (isInRange(target)) { kill(target); }
Re: Upgrading from 2.001L - what to do
« Reply #1 on: June 20, 2011, 07:34:51 AM »
If you're going from that old a version, I'd suggest downloading the game fresh from the website and just uninstall the old one. They're not even closely the same anymore :P

As far as manuals go, there's the wiki and also a PDF manual shipped with the game.
Click here to get started with Mantis for Suggestions and Bug Reports.

Thank you for contributing to making the game better!

Offline keith.lamothe

  • Arcen Games Staff
  • Arcen Staff
  • Zenith Council Member Mark III
  • *****
  • Posts: 19,505
Re: Upgrading from 2.001L - what to do
« Reply #2 on: June 20, 2011, 08:00:42 AM »
Yea, probably best to treat it as downloading a new game ;)

There's the manual, which was reworked a while ago and is probably as up to date for 5.010 as 2.001L's manual was up to date for that version (which is to say, it should still get the general things right).

The tutorial is up to date, though, shouldn't be any problems there.  It doesn't cover everything, of course.

And then there's the wiki, which is typically great for finding detailed answers.  Even it has, ah, "aged" bits.  But it's an ongoing work by the staff and some community members.

And if anything isn't answered on any of those places or the answers don't seem up-to-date, your best bet is to just ask here :)
Have ideas or bug reports for one of our games? Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

Offline Gankenstein

  • Newbie Mark II
  • *
  • Posts: 15
Re: Upgrading from 2.001L - what to do
« Reply #3 on: June 20, 2011, 08:16:26 AM »
My thanks to both of you for replying.

I uninstalled and did a fresh install as suggested (btw the default install location had changed) and everything including the ingame updater works fine except I had to exit the game and relaunch it before it would recognize my game key.

It appears the wiki meets my needs for documentation...now I'll probably end up getting the expansions too, oh, and a bit more RAM for my 2006'ish rig.

Offline keith.lamothe

  • Arcen Games Staff
  • Arcen Staff
  • Zenith Council Member Mark III
  • *****
  • Posts: 19,505
Re: Upgrading from 2.001L - what to do
« Reply #4 on: June 20, 2011, 08:23:57 AM »
Oh, yea, RAM use has gone up a bit with all the new stuff in the game :)  The required spec is 1 GB (free; doesn't matter how much you have if other programs are using it all), recommended is 2 though in reality it's probably not going to use more than about 1.5 GB, and that's only for some pretty hefty gamestates with lots of the exotic textures loaded.
Have ideas or bug reports for one of our games? Mantis for Suggestions and Bug Reports. Thanks for helping to make our games better!

 

SMF spam blocked by CleanTalk